package com.yazan.arabicTest;

import com.yazan.arabicTools.ArabicUtilities;

import android.app.Activity;
import android.content.res.AssetManager;
import android.graphics.Typeface;
import android.os.Bundle;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import android.widget.EditText;
import android.widget.TextView;

public class arabicViewActivity extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        EditText et = (EditText) findViewById(R.id.myTxt);
        WebView mWebView = (WebView) findViewById(R.id.webview);
        
        mWebView.getSettings().setJavaScriptEnabled(true);
        mWebView.setWebViewClient(new HelloWebViewClient());
        
        AssetManager manager=this.getAssets();
        try
        {
        	manager.open("tahoma.ttf");
        	et.setTypeface(Typeface.createFromAsset(manager, "tahoma.ttf"));
        	et.setText(ArabicUtilities.reshape("بسم الله الرحمن الرحيم"));
        	//mWebView.loadUrl("http://www.google.com");
        }catch(Exception ex){
        //TODO
        	et.setText(ex.getMessage());
        }
    }
    
    private class HelloWebViewClient extends WebViewClient {
        @Override
        public boolean shouldOverrideUrlLoading(WebView view, String url) {
            view.loadUrl(url);
            return true;
        }
    }
}//CLASS